| title | authors | owning-sig | participating-sigs | status | creation-date | reviewers | approvers | stage | milestone |
| ----- | ------- | ---------- | ------------------ | ------ | ------------- |---------- | --------- | ----- | --------- |
| MEP-USABILITY | @tong-zhang | sig-usability | sig-usability | provisional/implementable/implemented/deferred/rejected/withdrawn/replaced | yyyy-mm-dd | TBD | TBD | alpha/beta/stable | alpha: "v0.5", beta: "v0.6", stable: "v1.0" |

# MEP-USABILITY: MindSpore Usability

## Table of Contents

<!-- TOC -->

- [MEP-USABILITY: MindSpore Usability](#)
    - [Summary](#summary)
    - [Motivation](#motivation)
        - [Goals](#goals)
        - [Non-Goals](#non-goals)

<!-- /TOC -->

## Summary

As reported, usability is one of the top 3 factors to consider when AI developers adopting an open source AI framework, 78.9% of AI developers think so. (Source from IDC China AI Developer Survey, December 2021)

Usability SIG aims to build connections between MindSpore development team and AI developers, help to improve the usability of framework, and continuously improve user satisfaction. The sig will mainly focus on the area of usability, including the following topics:

- Discussion of issues/requirements and roadmap planning
- New features introduction and showcase
- Technologies sharing of AI development and applying
- Developer cases and practices sharing

The sig is dedicated to helping developers easily learn MindSpore and develop efficiently with MindSpore, so the usability optimization of related components will be included, such as:

- The information experience of API documentation, user's guide, tutorial, codelabs and official website
- The content quality of developer's cases, industry best practices and advanced technology articles
- Design of API usability, richness of operators and models, installation supports on multiple OS (Windows/Linux/Mac)
- Ability of error reporting, self-debugging, and performance/accuracy tuning

## Motivation

- Discussion of issues/requirements and roadmap planning

  To get developers involved in the process of improving usability for MindSpore, we need to proactively collect first-hand problems and accurate information from developers, as the input of improving design, such as API design, grammar support and debugging ways.

- New features introduction and showcase

  To help developers get known of the improvements of MindSpore in time, we need to regularly introduce the latest released features to users, and show how it is improved for usability.

- Technologies sharing of AI development and applying

  To help AI developers improve the E2E efficiency and quality of AI software development, we need to regularly share the new AI technologies (such as AI engineering technologies) with them.

- Developer cases and practices sharing

  To spread the developer's successful experience, we encourage developers to share their technical practices and cases based on MindSpore, mainly focus on the scope of how to improve development efficiency and quality.

### Goals

- To help improving the usability for MindSpore: build a regular channel for listening voice of user, collect first-hand problems and accurate information from users, and continuously improve usability by requirements-driven approaches.
- To make developers succeed: help developers to improve the efficiency and quality of the whole model development lifecycle, by providing full support in terms of documentation, API and grammar integrity, error reporting accuracy, AI engineering methods and best practices.

### Non-Goals

- Bugs and stability problems of each module
